Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfStyleType

    java.lang.Object
      java.lang.Enum<OdfStyleType>
          org.odftoolkit.odfdom.dom.type.style.OdfStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfStyleType>

    public enum OdfStyleType

extends Enum<OdfStyleType>

DOM implementation of OpenDocument attribute style:style.

Enum Constant Summary
`DASHED`
`DOT_DASHED`
`DOTTED`
`NONE`
`SOLID`

Method Summary
`static OdfStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOT_DASHED

    public static final OdfStyleType DOT_DASHED

### NONE

    public static final OdfStyleType NONE

### DOTTED

    public static final OdfStyleType DOTTED

### DASHED

    public static final OdfStyleType DASHED

### SOLID

    public static final OdfStyleType SOLID

Method Detail

### values

    public static OdfStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfStyleType c : OdfStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfStyleType>`
  Returns:
    return the name of OdfStyleType

### toString

    public static String toString(OdfStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfStyleType, see style:style
  Returns:
    return the name of OdfStyleType

### enumValueOf

    public static OdfStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfStyleType
  Returns:
    return the constant of OdfStyleType, see style:style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.